### Method

# WebKit2WebExtension DOMDocument get_compat_mode

#### Declaration [src]

    gchar*
    webkit_dom_document_get_compat_mode (
      WebKitDOMDocument* self
    )

#### Description

No description available.

Available since: | 2.14
Deprecated since: | 2.22
Use JavaScriptCore API instead.

Gets property | `WebKit2WebExtension.DOMDocument:compat-mode`

#### Return value

Returns: | `gchar*`
| A #gchar.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.